!----------------------------------------------------------------
! Rakotomalala, C., Guizien, K., Granger, K., Lefebvre, S. Dupuy, C., Orvain, F., Modelling the functionning of a coupled Microphytobenthic-EPS_bacterial system in intertidal mudflats 
!----------------------------------------------------------------
! Function to be used with the Modular numerical tool (Eco3M) under Cecill License. The version of the code is that of 2006 
!---------------------------------------------------------------
     function f_exumigup_ban(ili,jcol,tpst,q2NC,delta2NC,prop_mig)
!
!--------------------------------------------------------------------
!
! Cette fonction calcule le flux d EPS exude lors de la migration vers le haut 
! des diatomees actives dans le sediment !(colimite ! en N)
! en utilisant prop_mig
!
! variables et unites:
!---------------------
! q2NC : quota intracellulaire N/C seuil
! delta2NC : 'pente de la courbe''sensibilite'
! tpst : temps caracteristique de transfert, en s
! prop_mig : proportion d exudation necessaire a la migration

! Variables globales
Use COUPLEUR_PHY_BIO
Use mod_fchain

 Implicit None

!-- fonction
real(8) :: f_exumigup_ban(nx,ny,nz)

!-- arguments
Real(8) :: tpst,q2NC,delta2NC,prop_mig
Integer :: ili,jcol,id1,id2
!-- variables locales:
 character(L_CHAIN)::chain1,chain2,chain3

 chain1='Dp'
 chain2 = 'C'
 chain3 = 'N'

id1=f_scomp2id(chain1,chain2) ! Dp-C
id2=f_scomp2id(chain1,chain3) !Dp-N

! if ((E_PARp>0.1).and.(MAREEp==0.)) then

!----Exogenous factor alone
if ((E_PARp>0.1).and.(MAREEp==0.)) then
      f_exumigup_ban(:,:,:) = prop_mig/ tpst * 0.5 * var(ili)%conc(:,:,:)
!----Endogenous and exogenous factor
! if ((E_PARp>0.05).and.(MAREEp==0.)) then
!      f_exumigup_ban(:,:,:) = prop_mig/ tpst * 0.5 *(1.&
!          +tanh(((var(id2)%conc(:,:,:))/(var(id1)%conc(:,:,:)+1.d-15) -&
!           q2NC)/delta2NC)) * var(ili)%conc(:,:,:)
else
      f_exumigup_ban(:,:,:) = 0.d0
endif


!write(*,*) 'f_exumigup_ban = ',f_exumigup_ban(1,1,1)
end function f_exumigup_ban
