!----------------------------------------------------------------
! Rakotomalala, C., Guizien, K., Granger, K., Lefebvre, S. Dupuy, C., Orvain, F., Modelling the functionning of a coupled Microphytobenthic-EPS_bacterial system in intertidal mudflats 
!----------------------------------------------------------------
! Function to be used with the Modular numerical tool (Eco3M) under Cecill License. The version of the code is that of 2006 
!---------------------------------------------------------------
!
            function f_inptNID_ban(ili,jcol,coef_diff)
!
!--------------------------------------------------------------------
!
! Cette fonction traduit l'apport de NH4 dans le compartiment NID 
! par diffusion selon la première loi de Fick
! Hypothese: diffusion du deuxième centimètre de profondeur du sédiment 
! vers le premier centimètresédiment. Quantité de NH4 disponible au début vient des 
! expériences Francis et al., 2003
!
! variables et unites:
!---------------------
! coef_diff : coeficient de diffusivité (Lavery et al, 2001), c
! in m2/s1 with /10000
!
! Variables globales
Use COUPLEUR_PHY_BIO
Use VAR_USER

 Implicit None

!-- fonction
real(8) :: f_inptNID_ban(nx,ny,nz)

!-- arguments
Real(8) :: coef_diff 
Real(8) :: turtuos, poros
Integer :: ili,jcol

poros = 0.89
turtuos = 1.11

!if (MAREEp==1.0) then
  f_inptNID_ban(:,:,:) = ((poros*coef_diff/10000)/(turtuos**2))*10*((NIDp - var(ili)%conc(:,:,:))/0.01)/0.01
  !f_inptNID_ban(:,:,:) = (poros*coef_diff)*(NIDp - var(ili)%conc(:,:,:))   
!else
!     	f_inptNID_ban(:,:,:) = 0  
!end if

!write(*,*) 'DIN=', var(ili)%conc(:,:,:)
!write(*,*) 'NIDp=',NIDp
!write(*,*) 'f_inptNID_ban = ',f_inptNID_ban(1,1,1)
!pause

end function f_inptNID_ban
