!----------------------------------------------------------------
! Rakotomalala, C., Guizien, K., Granger, K., Lefebvre, S. Dupuy, C., Orvain, F., Modelling the functionning of a coupled Microphytobenthic-EPS_bacterial system in intertidal mudflats 
!----------------------------------------------------------------
! Function to be used with the Modular numerical tool (Eco3M) under Cecill License. The version of the code is that of 2006 
!---------------------------------------------------------------
!
    function f_lyse_bact_ban(ili,jcol,tx_lyse)
!
!--------------------------------------------------------------------
!
! Cette fonction calcule l'absorption du NOD par les bacteries
!
! variables et unites:
!---------------------
! tx_lyse : temps caracteristique de lyse max des bacteries, s-1
!
! Variables globales
Use COUPLEUR_PHY_BIO
Use mod_fchain

 Implicit None
 
!-- fonction
real(8) :: f_lyse_bact_ban(nx,ny,nz)

!-- arguments
Real(8) :: tx_lyse,kB
Integer :: ili,jcol,id
!-- variables locales:
 character(L_CHAIN)::chain1,chain2
 
 chain1='EPS'
 chain2 = 'C'
 id=f_scomp2id(chain1,chain2)

f_lyse_bact_ban(:,:,:) =   tx_lyse * &
       var(ili)%conc(:,:,:)
!write(*,*) 'f_lyse_bact_ban=',f_lyse_bact_ban(1,1,1)

! Remarque importante: vu qu'en rentrant les variables dans "config.ini",
! on commence toujours par la biomasse, le nutriment absorbe
! est toujours dans la colonne jcol du flux (ili --> jcol), et la
! biomasse est toujours dans la ligne ili
end function f_lyse_bact_ban
