!----------------------------------------------------------------
! Rakotomalala, C., Guizien, K., Granger, K., Lefebvre, S. Dupuy, C., Orvain, F., Modelling the functionning of a coupled Microphytobenthic-EPS_bacterial system in intertidal mudflats 
!----------------------------------------------------------------
! Function to be used with the Modular numerical tool (Eco3M) under Cecill License. The version of the code is that of 2006 
!---------------------------------------------------------------
!
     function f_migdw_ban(ili,jcol,tpst,q2CN,delta2CN,prop_mig)
!
!--------------------------------------------------------------------
!
! Cette fonction calcule le flux de migration des diatomees actives dans le sediment !(colimite ! en N)
! en utilisant prop_mig=1
! et le flux d exudation associee defini par prop_mig
!
! variables et unites:
!---------------------
! q2CN : quota intracellulaire C/N seuil
! delta2CN : 'pente de la courbe''sensibilite'
! tpst : temps caracteristique de transfert, en s
! prop_mig : proportion d exudation necessaire a la migration

! Variables globales
Use COUPLEUR_PHY_BIO
Use mod_fchain

 Implicit None

!-- fonction
real(8) :: f_migdw_ban(nx,ny,nz)

!-- arguments
Real(8) :: tpst,q2CN,delta2CN,prop_mig
Integer :: ili,jcol,id1,id2
!-- variables locales:
 character(L_CHAIN)::chain1,chain2,chain3

 chain1='Dpact'
 chain2 = 'C'
 chain3 = 'N'

id1=f_scomp2id(chain1,chain2)
id2=f_scomp2id(chain1,chain3)


!----Exogenous factor alone
if ((MAREEp==1.)) then
   f_migdw_ban(:,:,:) = prop_mig/ tpst * 0.5 * var(ili)%conc(:,:,:)
else
   f_migdw_ban(:,:,:) = 0.d0
endif
!----Endogenous and exogenous factor
!if (MAREEp==1.) then
!   f_migdw_ban(:,:,:) = prop_mig/ tpst * 0.5 * (1. &
!      + tanh(((var(id1)%conc(:,:,:))/(var(id2)%conc(:,:,:)+1e-15) &
!       -q2CN)/delta2CN)) * var(ili)%conc(:,:,:)
!endif

end function f_migdw_ban
