!----------------------------------------------------------------
! Rakotomalala, C., Guizien, K., Granger, K., Lefebvre, S. Dupuy, C., Orvain, F., Modelling the functionning of a coupled Microphytobenthic-EPS_bacterial system in intertidal mudflats 
!----------------------------------------------------------------
! Function to be used with the Modular numerical tool (Eco3M) under Cecill License. The version of the code is that of 2006 
!---------------------------------------------------------------
!
     function f_migup_ban(ili,jcol,tpst,q2NC,delta2NC,prop_mig)
!
!--------------------------------------------------------------------
!
! Cette fonction calcule le flux de retour des diatomees actives dans le sediment !(colimite ! en N)
! en utilisant prop_mig=1
! et le flux d exudation associee defini par prop_mig
!
! variables et unites:
!---------------------
! q2NC : quota intracellulaire N/C seuil
! delta2NC : 'pente de la courbe''sensibilite'
! tpst : temps caracteristique de transfert, en s
! prop_mig : proportion d exudation necessaire a la migration

! Variables globales
Use COUPLEUR_PHY_BIO
Use mod_fchain

 Implicit None

!-- fonction
real(8) :: f_migup_ban(nx,ny,nz)
!real(8) :: conc_val(nx,ny,nz)

!-- arguments
Real(8) :: tpst,q2NC,delta2NC,prop_mig
Integer :: ili,jcol,id1,id2
!-- variables locales:
 character(L_CHAIN)::chain1,chain2,chain3

 chain1='Dp'
 chain2 = 'C'
 chain3 = 'N'

id1=f_scomp2id(chain1,chain2) ! Dp-C
id2=f_scomp2id(chain1,chain3) !Dp-N

!conc_val = var(jcol)%conc(:,:,:)
!write(*,*) 'MPB = ',var(jcol)%conc(:,:,:)
!write(*,*) 'MPB_val = ',conc_val
!write(*,*) 'MPB_1 = ',var(id1)%conc(:,:,:)
!write(*,*) 'MPB_2 = ',var(id2)%conc(:,:,:)

!----Exogenous factor alone
if ((E_PARp>0.05).and.(MAREEp==0.)) then
      f_migup_ban(:,:,:) = prop_mig/ tpst * 0.5 * var(jcol)%conc(:,:,:)
!----Endogenous and exogenous factor
! if ((E_PARp>0.05).and.(MAREEp==0.)) then
!      f_migup_ban(:,:,:) = prop_mig/ tpst * 0.5 *(1.&
!          +tanh(((var(id2)%conc(:,:,:))/(var(id1)%conc(:,:,:)+1.d-15) -&
!           q2NC)/delta2NC)) * var(jcol)%conc(:,:,:)
else
      f_migup_ban(:,:,:) = 0.d0
endif

!write(*,*) 'prop_mig = ',prop_mig
pause
end function f_migup_ban
