!----------------------------------------------------------------
! Rakotomalala, C., Guizien, K., Granger, K., Lefebvre, S. Dupuy, C., Orvain, F., Modelling the functionning of a coupled Microphytobenthic-EPS_bacterial system in intertidal mudflats 
!----------------------------------------------------------------
! Function to be used with the Modular numerical tool (Eco3M) under Cecill License. The version of the code is that of 2006 
!---------------------------------------------------------------
!
            function f_remT_ban(ili,jcol,tx_rem,t_opt)
!
!--------------------------------------------------------------------
!
! Cette fonction calcule la rgnration de l'ammonium (don en NH4)
! 
!
! variables et unites:
!---------------------
! tx_rem : taux de reminralisation maxi en s-1
! t_opt : temprature optimale pour la remineralisation
!
!
! Variables globales
Use COUPLEUR_PHY_BIO

 Implicit None
 
!-- fonction
real(8) ::f_remT_ban(nx,ny,nz),t_opt
!-- arguments
Real(8) :: tx_rem
Integer :: ili,jcol

f_remT_ban(:,:,:)=  tx_rem * var(ili)%conc(:,:,:)*&
     exp(0.0405*(TEMPCp-t_opt))


!write(*,*) 'f_remT_ban',f_remT_ban(1,1,1)
!pause

end function f_remT_ban
