!----------------------------------------------------------------
! Rakotomalala, C., Guizien, K., Granger, K., Lefebvre, S. Dupuy, C., Orvain, F., Modelling the functionning of a coupled Microphytobenthic-EPS_bacterial system in intertidal mudflats 
!----------------------------------------------------------------
! Function to be used with the Modular numerical tool (Eco3M) under Cecill License. The version of the code is that of 2006 
!---------------------------------------------------------------
!
            function f_resusp_ban(ili,jcol,tx_susp)
!
!--------------------------------------------------------------------
!
! Cette fonction traduit la resuspension des compartiments quand arrive l'eau
!
!
! variables et unites:
!---------------------
! tx_susp : taux de resuspension (mmolN.s-1)
!
! Variables globales
Use COUPLEUR_PHY_BIO
Use VAR_USER

 Implicit None

!-- fonction
real(8) :: f_resusp_ban(nx,ny,nz)
!-- arguments
Real(8) :: tx_susp
Integer :: ili,jcol

if (MAREEp==0.) then
     f_resusp_ban(:,:,:)=0.
else
     f_resusp_ban(:,:,:)=  tx_susp * var(ili)%conc(:,:,:)
endif

!write(*,*) 'f_resusp_ban(:,:,:)=', f_resusp_ban(1,1,1), MAREEp

end function f_resusp_ban
